-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 15 gennaio 2009
-- Description:	riporta il valore complessivo dei prodotti attualmente destinati all'area 
--				di bisogno progetto (controvalore attuale) ed il relativo valore di rischio (VaR attuale)
-- =============================================
-- [C6MartPeriodico].[PL_MP_S134MonitoraggioLiquidita]  'F','CNTGCR68T31D458G'
CREATE   procedure [C6MartPeriodico].[PL_MP_FD134MonitoraggioLiquidita]  --'F','SMNLSN83B41C101E'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
-- DECLARE @RendimNonRappr BIT
SELECT
		case when RENDIMNONRAPPR=1 then 1 else 0 end AS cf_rendim_non_rappr,
		'Inv' AS Need_Area,
		CASE
			WHEN MONIT.NOME_PROGETTO = 'XXX' THEN ''
			ELSE LTRIM(RTRIM(MONIT.NOME_PROGETTO))
		END AS Nome_Progetto,
		monit.ordinamento_progetto,
		dbo.TOSHORTDATESTRING(DATA_ATTIVAZIONE) AS DataAttivazioneMonitoraggio,
		CTV_MONITORATO AS ControvaloreMonitorato,
		APPORTO_INIZIALE AS ApportoIniziale,
		APPORTO_SUCCESSIVO AS ApportoSuccessivo,
		LIQUIDAZIONI,
		CEDOLE_DIVIDENDI AS CedoleEDividendi,
		MINUS_PLUSVALENZA AS MinusPlusAreaProgetto,
		RENDIMENTO_CUMULATO AS Rendimento_Attuale,
		RISORSE_ASSOCIATE AS RisorseApportate,
		dbo.TOSHORTDATESTRING(DATA_CTV) AS DataControvalore,
		RENDIMENTO_ANNUALIZZATO
	FROM
		C6MartPeriodico.MONITORAGGIO_ATTUALE MONIT
        LEFT OUTER JOIN
        (
            SELECT
			PATR_BF.ID_AREA,
            PATR_BF.COD_FISCALE,
            PATR_BF.RETE,
			CASE
			WHEN PATR_BF.NOME_PROGETTO = 'XXX' THEN ''
			ELSE NOME_PROGETTO end as NOME_PROGETTO,
			patr_bf.ordinamento_progetto,
            1 as RENDIMNONRAPPR
		FROM
			C6MartPeriodico.PATRIMONIO_BF AS PATR_BF
			LEFT OUTER JOIN C6MartPeriodico.AREA_BISOGNO AS AREA ON
				PATR_BF.ID_AREA = AREA.ID_AREA
		WHERE
			PATR_BF.RETE = @Rete
			AND PATR_BF.COD_FISCALE = @CodiceFiscale
			AND PATR_BF.REND_NON_RAPPR = 1
          group by  
          	PATR_BF.ID_AREA,
            PATR_BF.COD_FISCALE,
            PATR_BF.RETE,
			CASE
			WHEN PATR_BF.NOME_PROGETTO = 'XXX' THEN ''
			ELSE NOME_PROGETTO end,
			patr_bf.ordinamento_progetto
         ) PATR_BF 
         ON PATR_BF.COD_FISCALE=MONIT.COD_FISCALE
            AND PATR_BF.RETE= MONIT.RETE
            AND left(PATR_BF.ID_AREA,3)=left(MONIT.ID_AREA,3)
            AND  isnull(PATR_BF.NOME_PROGETTO,'XXX')=isnull(MONIT.NOME_PROGETTO,'XXX')
			And monit.ordinamento_progetto=patr_bf.ordinamento_progetto
		--	inner join C6StagingPeriodico.RP_Progetto_Robo rob ON rob.chiaveProgetto=monit.ORDINAMENTO_PROGETTO
	WHERE
		MONIT.RETE = @Rete AND
		MONIT.COD_FISCALE =  @CodiceFiscale
		and monit.NOME_PROGETTO like '%Direct EVO%'
	--	and CTV_MONITORATO<>'0.00' -- aggiunta 20221219
END